Name:           dzen2
Version:        0.8.5
Release:        5%{?dist}
Summary:        A general purpose messaging and notification program

Group:          User Interface/X
License:        MIT
URL:            http://gotmor.googlepages.com/dzen
Source0:        http://gotmor.googlepages.com/%{name}-latest.tar.gz
Source1:        dzen2.1
Source2:        dzen2-dbar.1
Source3:        dzen2-gcpubar.1
Source4:        dzen2-gdbar.1
Source5:        dzen2-textwidth.1

# 2007-12-26: sent to upstream via private e-mail, inclusion depends on usability
# for *BSD and Solaris
Patch0:         dzen2-0.8.5-check_environment.patch
# Not sent to upstream: removes strip and shows cc invocations, which seems not to
#                       be wanted by upstream
Patch1:         dzen2-0.8.5-verbose.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libXpm-devel libXinerama-devel

%description
Dzen is a general purpose messaging, notification and menuing program for X11.
It was desigend to be scriptable in any language and integrate well with window
managers like dwm, wmii and xmonad though it will work with any windowmanger.


%prep
%setup -q
%patch0 -p1 -b .check_environment
%patch1 -p1 -b .verbose


%build
export CFLAGS="${RPM_OPT_FLAGS}"
export LDFLAGS="${RPM_OPT_FLAGS}"
make %{?_smp_mflags} DZEN_XINERAMA=1 DZEN_XPM=1
make -C gadgets %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
export CFLAGS="${RPM_OPT_FLAGS}"
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} DZEN_XINERAMA=1 DZEN_XPM=1
make -C gadgets install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}
for gadget in dbar gcpubar gdbar textwidth
do
mv $RPM_BUILD_ROOT%{_bindir}/{,dzen2-}"${gadget}"
done

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
for manpage in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5}
do
install -m 0644 "${manpage}" $RPM_BUILD_ROOT%{_mandir}/man1/"${manpage##*/}"
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# There is no .desktop file, because the applications displays data received
# via stdin, e.g. from xmonad, a window manager
# This cannot be done using a .desktop file
%doc LICENSE CREDITS README README.dzen
%doc gadgets/README.*
%{_bindir}/dzen2
%{_bindir}/dzen2-dbar
%{_bindir}/dzen2-gcpubar
%{_bindir}/dzen2-gdbar
%{_bindir}/dzen2-textwidth
%{_mandir}/man1/dzen2.1*
%{_mandir}/man1/dzen2-dbar.1*
%{_mandir}/man1/dzen2-gcpubar.1*
%{_mandir}/man1/dzen2-gdbar.1*
%{_mandir}/man1/dzen2-textwidth.1*


%changelog
* Thu Aug 27 2009 Till Maas <opensource@till.name> - 0.8.5-5
- Remove uneeded PREFIX= argument to make in %%build

* Wed Aug 26 2009 Till Maas <opensource@till.name> - 0.8.5-4
- export LDFLAGS
- explain missing .desktop file

* Tue Aug 25 2009 Till Maas <opensource@till.name> - 0.8.5-3
- use make -C instead of pushd/popd
- add manpages from debian
- prefix gadgets with dzen2 like debian does it

* Tue Mar 31 2009 Till Maas <opensource@till.name> - 0.8.5-2
- Add description

* Sat Nov 01 2008 Till Maas <opensource@till.name> - 0.8.5-1
- Initial package for Fedora
